## org.w3c.www.http
Class HttpEntityTagList

    java.lang.Object
      |
      +--org.w3c.www.http.BasicValue
            |
            +--org.w3c.www.http.HttpEntityTagList

public class HttpEntityTagList
extends BasicValue

Fields inherited from class org.w3c.www.http.BasicValue
`isValid, raw, rlen, roff`

Method Summary
`void` | `addTag(HttpEntityTag tag)` Add a tag to that list.
`java.lang.Object` | `getValue()`
`protected void` | `parse()`
`protected void` | `updateByteValue()`

Methods inherited from class org.w3c.www.http.BasicValue
`addBytes, appendValue, checkByteValue, emit, error, invalidateByteValue, setBytes, setString, toExternalForm, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### parse

    protected void parse()

  Overrides:
    parse in class BasicValue

### updateByteValue

    protected void updateByteValue()

  Overrides:
    updateByteValue in class BasicValue

### getValue

    public java.lang.Object getValue()

  Overrides:
    getValue in class BasicValue

### addTag

    public void addTag(HttpEntityTag tag)

  Add a tag to that list.
  Parameters:
    `tag` - The new tag to add.